<template>
	<el-row class="bcF3F6F8 register" :style="{height : WINDOW_H + 'px'}">
		<ootecoHeadTypeOne></ootecoHeadTypeOne>
		<el-row>
			<el-col
				:span="2"
				class="flexVcenter flexHcenter arrow_icon"
				:style="{minHeight : WINDOW_H - 144 + 'px'}"
			>
				<i
					class="el-icon-arrow-left"
					v-if="active_step != 0"
					@click="(active_step === 3 && (active_step -=2) || active_step > 0 && active_step --)"
				></i>
			</el-col>
			<el-col :span="20">
				<el-row class="main-content" :style="{minHeight : WINDOW_H - 144 + 'px'}">
					<el-col :span="22" :offset="1" class="marginTop40">
						<el-steps class="step" :active="active_step" :align-center="true">
							<el-step v-for="(step,index) in steps" :key="index" :title="step"></el-step>
						</el-steps>
						<el-row style="margin-top:3.5rem;">
							<el-row class="flexHcenter flexVcenter" v-if="active_step < 3">
								<div class="blue_bar"></div>
								<span class="f18" style="margin:0 1.25rem;">{{steps_title[active_step]}}</span>
								<div class="blue_bar"></div>
							</el-row>
						</el-row>
						<el-row class="marginTop40" v-if="active_step !== 3">
							<el-row v-if="active_step < 3">
								<el-col :class="['img_1_' + active_step]" :span="5" :offset="3">
									<ootecoUpload :conf="files[active_step][0]"></ootecoUpload>
								</el-col>
								<el-col :span="15">
									<ootecoFormInfo :conf="form_info[active_step]"></ootecoFormInfo>
								</el-col>
							</el-row>
						</el-row>
						<el-row class="marginTop20" v-if="active_step === 1 || active_step === 2">
							<el-col :span="5" :offset="3">
								<ootecoUpload :class="['img_2_' + active_step]" :conf="files[active_step][1]"></ootecoUpload>
							</el-col>
							<el-col :span="5" style="margin-left:1.5rem;">
								<ootecoUpload
									:class="['img_3_' + active_step]"
									v-if="active_step === 2"
									:conf="files[active_step][2]"
								></ootecoUpload>
							</el-col>
						</el-row>
						<el-row class="c9696A0 f12 marginTop20" v-if="active_step !== 3">
							<el-col :span="20" :offset="3">
								请上传清晰的照片进行识别，若仍识别出错请
								<a class="c4D84EF cur" @click="qrcodeDialogVisible = true">联系客服</a>
							</el-col>
						</el-row>
						<el-row v-if="active_step === 3">
							<el-col :span="12" :offset="6">
								<ootecoFormAccount></ootecoFormAccount>
							</el-col>
						</el-row>
					</el-col>
				</el-row>
			</el-col>
			<el-col
				:span="2"
				class="flexVcenter flexHcenter arrow_icon"
				:style="{minHeight : WINDOW_H - 144 + 'px'}"
			>
				<i class="el-icon-arrow-right" @click="next" v-if="active_step !== 3"></i>
			</el-col>
		</el-row>
		<el-dialog
			:close-on-click-modal="false"
			:close-on-press-escape="false"
			:visible.sync="qrcodeDialogVisible"
			width="50%"
			center
		>
			<el-row class="c9696A0 f14">如遇到更多无法解决的问题，请拨打客服电话寻求解决方案，或扫描下方二维码关注我们进行提问。</el-row>
			<el-row class="flexHcenter marginTop16">
				<img src="../../assets/img/WechatIMG64.jpeg" style="width:8rem;height:8rem;" alt="">
			</el-row>
			<el-row class="talincenter c333 f12 marginTop10">客服电话：0571-82965186</el-row>
		</el-dialog>
		<el-dialog
			title="当前操作人身份确认"
			:close-on-click-modal="false"
			:close-on-press-escape="false"
			:show-close="false"
			:visible.sync="centerDialogVisible"
			width="50%"
			center
		>
			<span>若您为法人，则无需添加经办人信息；若您是经办人，则需上传身份证信息和法人授权书</span>
			<span slot="footer" class="dialog-footer">
				<el-button type="primary" @click="identityFunc(1)">我是法人</el-button>
				<el-button type="primary" @click="identityFunc(2)">我是经办人</el-button>
			</span>
		</el-dialog>
		<el-dialog
			title="提示"
			:close-on-click-modal="false"
			:close-on-press-escape="false"
			:visible.sync="confirmDialogVisible"
			width="50%"
			center
		>
			<span class="f14" style="linheight:1.5;">
				入驻前准备：
				<br>·
				<span class="fb_bold c333">营业执照</span>扫描件
				<br>·
				<span class="fb_bold c333">法定代表人身份证</span>扫描件
				<br>·
				<span class="fb_bold c333">对公银行账户</span>可以是基本户或一般户
				<br>
				<br>如果你是经办人，你还需要额外准备：
				<br>·
				<span class="fb_bold c333">你的身份证扫描件</span>
				<br>
				<div>
					·
					<span class="fb_bold c333">企业委托书</span>（必须盖有公司公章或财务专用章）
					<a
						class="c4D84EF"
						href="/api/chain/front/chainFileStore/template/短信签署确认书.docx"
						download
					>下载模板</a>
				</div>
				<br>填写资料时遇到问题，请随时联系客服
				<br>
			</span>
			<span slot="footer" class="dialog-footer">
				<el-button type="primary" @click="confirmDialogVisible = false">确认</el-button>
			</span>
		</el-dialog>
	</el-row>
</template>

<script>
import ootecoFormAccount from '@com/ooteco_form_account'
import ootecoHeadTypeOne from '@com/ooteco_head_type_one'
import ootecoUpload from '@com/ooteco_upload'
import ootecoFormInfo from '@com/ooteco_form_info'
import register from './data_conf/register.js'
import ootecoDownload from '../../components/ooteco_download_file'
export default {
	mixins: [$mixin],
	components: {
		ootecoUpload,
		ootecoFormInfo,
		ootecoHeadTypeOne,
		ootecoFormAccount
	},
	data() {
		return Object.assign({}, register, {
			active_step: 0,
			centerDialogVisible: false,
			confirmDialogVisible: true,
			identity: 1,
			qrcodeDialogVisible: false
		})
	},
	watch: {
		active_step(val) {
			if (val === 2) {
				this.centerDialogVisible = true
			}
		}
	},
	methods: {
		next() {
			let codition = this.form_info[this.active_step].some(item => {
				return item.lab && !item.text
			})
			if (
				this.identity === 2 &&
				this.active_step === 2 &&
				!this.files[2][2].file
			) {
				this.alert('请上传法人授权书')
				return false
			}
			if (!codition) {
				this.active_step < 3 && this.active_step++
			} else {
				this.alert('信息不完善')
				return false
			}
		},
		identityFunc(type) {
			this.identity = type
			this.centerDialogVisible = false
			if (type === 1) {
				this.active_step = 3
			}
		},
		init_listen() {
			this.listen('uploadSuccess', ({ res, conf }) => {
				if (
					[
						'license',
						'idcard_person_face',
						'idcard_person_back',
						'idcard_agent_face',
						'idcard_agent_back'
					].indexOf(conf.flag) < 0
				)
					return false
				let data = JSON.parse(res.data)
				for (const item of this.form_info[this.active_step]) {
					data[item.key] && this.$set(item, 'text', data[item.key])
				}
			})

			this.listen('complete', ({ form }) => {
				let obj = {}
				if (this.identity === 1) {
					this.form_info[1].forEach((item, index) => {
						console.log(this.form_info[2][index].form_key)
						this.form_info[2][index].text = item.text
					})
				}
				for (const item of this.form_info) {
					for (const param of item) {
						obj[param.form_key] = param.text
					}
				}
				let formData = new FormData()
				let params = Object.assign({}, form, obj, {
					companyCheckResult: 1,
					legalCardCheckResult: 1,
					legalCardType: 1,
					userType: this.identity,
					operatorCardType: 1,
					operatorCarcCheckResult: 1,
					operatorRecogniseResult: 1
				})
				for (const key in params) {
					if (params.hasOwnProperty(key)) {
						formData.append(key, params[key])
					}
				}
				for (const item of this.files) {
					for (const file of item) {
						file.file && formData.append(file.form_key, file.file)
					}
				}
				this.$http
					.post({
						url: 'company/addCompany',
						params: formData
					})
					.then(
						({ data }) => {
							this.alert('入驻成功', () => {
								this.go('/login')
							})
						},
						msg => {
							this.alert(msg)
						}
					)
			})
		}
	},
	mounted() {
		this.init_listen()
	}
}
</script>

<style lang="less">
.img_1_0 {
	.el-upload-dragger {
		background: url('../../assets/img/licence_empty_bg.png') center center
			no-repeat;
		background-size: 100% auto;
	}
}
.img_1_1 {
	.el-upload-dragger {
		background: url('../../assets/img/idcard_front_empty.png') center center
			no-repeat;
		background-size: 100% auto;
	}
}
.img_2_1 {
	.el-upload-dragger {
		background: url('../../assets/img/idcard_behind_empty.png') center center
			no-repeat;
		background-size: 100% auto;
	}
}
.img_1_2 {
	.el-upload-dragger {
		background: url('../../assets/img/idcard_front_empty.png') center center
			no-repeat;
		background-size: 100% auto;
	}
}
.img_2_2 {
	.el-upload-dragger {
		background: url('../../assets/img/idcard_behind_empty.png') center center
			no-repeat;
		background-size: 100% auto;
	}
}
.img_3_2 {
	.el-upload-dragger {
		background: url('../../assets/img/authorization_certificate_bg.png') center
			center no-repeat;
		background-size: 100% auto;
	}
}
.el-dialog__wrapper {
	display: flex;
	align-items: center;
}
.el-dialog {
	width: 40%;
	border-radius: 0.375rem;
	margin: 0 auto !important;
}
.arrow_icon {
	font-size: 3.125rem;
	font-weight: 800;
	cursor: pointer;
	color: #999999;
}
.arrow_icon i:hover {
	color: #262941;
}
.blue_bar {
	width: 5rem;
	height: 0.25rem;
	background-color: #4d84ef;
}
.register {
	.header > div {
		margin: 0 1.25rem;
		height: 4rem;
		line-height: 4rem;
	}
	.main-content {
		margin: 2.5rem 0;
		box-shadow: 0 0 0.125rem 0.125rem #e9e7e7;
		border-radius: 0.375rem;
		background: #ffffff;
		.step {
			margin-top: 1.25rem;
			div {
				text-align: center;
			}
			div.is-finish {
				color: #409eff;
				div.el-step__icon {
					color: #ffffff;
					background-color: #409eff;
					border-color: #409eff;
				}
				div.el-step__line {
					background-color: #409eff;
				}
			}
			div.is-process {
				color: #409eff;
				div.el-step__icon {
					color: #409eff;
					border-color: #409eff;
				}
			}
			div.is-wait {
				div.el-step__icon {
					color: #ffffff;
					background: #c0c4cc;
					border: none;
				}
			}
		}
	}
}
</style>
